<% case @panel.display_type
    when 'pie' %>
      <%= pie_chart @panel.run_queries(@args), download: false %>
    <% when 'line' %>
      <%= line_chart @panel.run_queries(@args), download: false %>
    <% when 'bar' %>
      <%= bar_chart @panel.run_queries(@args), download: false %>
    <% when 'column' %>
      <%= column_chart @panel.run_queries(@args), download: false %>
    <% when 'area' %>
      <%= area_chart @panel.run_queries(@args), download: false %>
    <% when 'scatter' %>
      <%= scatter_chart @panel.run_queries(@args), download: false %>
    <% else %>
      <table>
        <tbody>
          <% @panel.run_queries(@args).each do |row|
            if row.is_a? Hash %>
              <%= "<tr><th>#{row[:name]}:</th><th>#{row[:data][0].to_s}</th><tr>".html_safe %>
            <% else %>
              <%= "<tr><th>#{row[0]}:</th><th>#{row[1].to_s}</th><tr>".html_safe %>
            <% end
          end %>
        </tbody>
      </table>
    <% end %>
